Retrieve a KYC Link
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "approved",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-10-25T10:00:00Z",
"completed_at": "2026-09-25T10:15:00Z",
"verification_result": {
"outcome": "approved",
"rejection_type": null,
"checks": {
"identity": {
"status": "passed",
"document_type": "ID_CARD",
"document_country": "IND",
"document_number": 123456789,
"document_expiry": "2035-12-31"
},
"address": {
"status": "passed",
"document_type": "UTILITY_BILL"
},
"selfie": {
"status": "passed",
"document_type": "SELFIE",
"document_country": "IND",
"document_number": null,
"document_expiry": null
}
},
"extracted_data": {
"first_name": "Alex",
"last_name": "Morgan",
"date_of_birth": "1990-05-15",
"nationality": "IND",
"address": {
"line1": "12 Example Street",
"line2": "Apartment 4B",
"city": "Example City",
"state": "Example State",
"postal_code": "110001",
"country": "IND"
}
},
"rejection_reasons": []
},
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}KYC Links
Fetch KYC Link
Retrieve the KYC link of an entity and its verification result.
GET
/
v3
/
entity
/
{entity_id}
/
kyc_link
Retrieve a KYC Link
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "approved",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-10-25T10:00:00Z",
"completed_at": "2026-09-25T10:15:00Z",
"verification_result": {
"outcome": "approved",
"rejection_type": null,
"checks": {
"identity": {
"status": "passed",
"document_type": "ID_CARD",
"document_country": "IND",
"document_number": 123456789,
"document_expiry": "2035-12-31"
},
"address": {
"status": "passed",
"document_type": "UTILITY_BILL"
},
"selfie": {
"status": "passed",
"document_type": "SELFIE",
"document_country": "IND",
"document_number": null,
"document_expiry": null
}
},
"extracted_data": {
"first_name": "Alex",
"last_name": "Morgan",
"date_of_birth": "1990-05-15",
"nationality": "IND",
"address": {
"line1": "12 Example Street",
"line2": "Apartment 4B",
"city": "Example City",
"state": "Example State",
"postal_code": "110001",
"country": "IND"
}
},
"rejection_reasons": []
},
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Tazapay unique ID of the entity
Was this page helpful?